@layer base {
  /* \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\ */
  /* \\\\\\\\\\\\\\\\\\\\\\\\\\      *** SECTION-ONE / INTRODUCTION ***       \\\\\\\\\\\\\\\\\\\\\\\ */
  /* \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\ */

  .intro-section {
    position: relative;
    z-index: 3;
    background: #fff;
  }

  .intro-container {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 2rem;

    .intro__text-container {
      display: flex;
      flex-direction: column;

      .intro__text-container__button {
        margin-top: 0.35rem;
        margin-bottom: 0.7rem;
        order: 1;
      }
    }

    .intro-image-container {
      display: contents;
    }

    img {
      position: relative;
      width: 100%;
      height: auto;
      object-position: 40% 35%;

      &:nth-of-type(1) {
        aspect-ratio: 2 / 1.1;
        object-position: 100% 50%;
      }

      &:nth-of-type(2) {
        aspect-ratio: 1 / 1.2;
      }

      &:nth-of-type(3) {
        aspect-ratio: 1 / 1;
        order: 2;
      }
    }

    @media (width > 47.5rem) {
      display: grid;
      grid-template-columns: 1fr 1fr;
      place-content: start;

      .intro__text-container {
        grid-column: span 2;
      }

      img:nth-of-type(1) {
        grid-column: 2;
        grid-row: 3 / 4;
        align-self: center;
      }

      img:nth-of-type(2) {
        grid-column: 1;
        grid-row: 3 / 5;
        aspect-ratio: 1 / 1.2;
        height: 100%;
      }

      img:nth-of-type(3) {
        grid-column: span 2;
        aspect-ratio: 1.3 / 0.5;
        object-position: 100% 62%;
      }

      p:last-of-type {
        grid-column: 2;
        grid-row: 4 / 5;
        align-self: end;
      }
    }

    @media (width > 62.5rem) {
      display: grid;
      grid-template-columns: 1fr 1fr 1.5fr 1.5fr;
      grid-template-rows: auto;
      gap: 0;
      column-gap: var(--margin-pictures);

      img {
        object-position: 40% 15%;
      }

      .intro__text-container {
        grid-column: 1 / 3;
        grid-row: 1 / 3;
      }

      img:nth-of-type(1) {
        grid-column: 1 / 3;
        grid-row: 3;
        justify-self: end;
        max-width: 52%;
        margin-bottom: 3rem;
        aspect-ratio: 1.75 / 1;
        object-position: center;
      }

      img:nth-of-type(2) {
        aspect-ratio: 1 / 1.54;
        grid-column: 3;
        grid-row: 1 / 4;
      }

      img:nth-of-type(3) {
        display: block;
        aspect-ratio: 2 / 1.65;
        grid-column: 4 / 5;
        grid-row: 1 / 3;
        align-self: center;
        object-position: 50% 85%;
      }

      p:not(.cmp-main-text-margins) {
        position: relative;
        grid-column: 4;
        grid-row: 2 / 4;
        align-self: center;
        top: 4rem;
      }
    }
  }

  /* \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\ */
  /* \\\\\\\\\\\\\\\\\\\\\\\\\\\\      *** SECTION-THREE / GALLERY ***       \\\\\\\\\\\\\\\\\\\\\\\\ */
  /* \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\ */

  .gallery-section-container {
    display: flex;
    flex-direction: column;

    @media (width > 62.5rem) {
      flex-direction: row;
      gap: 4rem;
    }
  }

  .gallery-text-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: start;
    margin-bottom: 3.25rem;

    @media (width > 62.5rem) {
      max-width: 40%;
    }

    a {
      margin-top: 0.5rem;
    }
  }

  .gallery-grid-container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: var(--margin-pictures);

    img {
      position: relative;
      object-position: center center;
    }

    img:nth-of-type(1) {
      max-width: 70%;
      aspect-ratio: 2 / 3;
      align-self: end;
    }

    img:nth-of-type(2) {
      aspect-ratio: 16 / 9;
      align-self: end;
      max-width: 130%;
      right: 30%;
    }

    img:nth-of-type(3) {
      aspect-ratio: 2 / 1;
      justify-self: end;
      max-width: 130%;
      left: 30%;
      object-position: center 47%;
    }

    img:nth-of-type(4) {
      aspect-ratio: 1 / 1.4;
      max-width: 70%;
      justify-self: end;
    }

    @media (width > 62.5rem) {
      img:nth-of-type(1) {
        max-width: 63%;
        aspect-ratio: 4 / 6;
      }

      img:nth-of-type(2) {
        aspect-ratio: 16 / 8;
        max-width: 137%;
        right: 37%;
      }

      img:nth-of-type(4) {
        aspect-ratio: 1 / 1.35;
        width: 70%;
      }
    }
  }

  /* \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\ */
  /* \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\      *** FOOTER ***       \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\ */
  /* \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\ */

  .footer-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0.5rem;
    width: 100%;
    padding-bottom: 0.5rem;

    @media (width > 47.5rem) {
      flex-direction: row;
      justify-content: space-between;
      align-items: end;
    }
  }

  .footer-copyright-container {
    font-weight: 300;
    opacity: 0.75;
    order: 1;

    @media (width > 47.5rem) {
      order: 0;
    }
  }

  .footer-socials-container {
    display: flex;
    justify-content: space-between;
    gap: 0.75rem;
    width: 55%;
    max-width: 11rem;

    @media (width > 47.5rem) {
      gap: 1rem;
      width: 25%;
    }

    @media (width > 62.5rem) {
      width: 14%;
      min-width: 11rem;
    }

    a:first-of-type {
      scale: 1.4;
    }

    a:nth-of-type(3) {
      scale: 0.9;
    }

    .algarve-webcraft-logo {
      display: grid;
      place-items: center;
      width: 160%;

      img {
        transition: transform 0.2s ease-in-out;
      }

      img:hover {
        transform: scale(1.1);
      }
    }

    svg {
      width: 100%;
      height: 100%;
      transition: transform 0.2s ease-in-out;

      &:hover {
        transform: scale(1.1);
      }
    }
  }
}

@layer animations {
}
